.lang-switcher {
    display: flex;
    flex-flow: column;
    align-items: flex-start;
    justify-content: flex-start;
    gap: 12px;
    position: relative;
}

.lang-switcher__toggle {
    display: flex;
    align-items: center;
    gap: 6px;
    background: transparent;
    border: 0;
    padding: 8px 12px;
    cursor: pointer;
}

.lang-switcher.open .lang-switcher__arrow {
    transform: rotate(-180deg);
}

.lang-switcher__menu {
    position: absolute;
    top: unset;
    left: unset;
    width: fit-content;
    padding: 4px 12px;
    background: #fff;
    border: 0;
    list-style: none;
    margin: 0;

    opacity: 0;
    visibility: hidden;
    transform: translateY(8px);
    transition: .2s ease;
}
.lang-switcher img {
    width: 20px;
    max-width: 20px;
    height: auto;
}
.lang-switcher.open .lang-switcher__menu {
    position: relative;
    opacity: 1;
    visibility: visible;
    transform: translateY(0);
}

.lang-switcher__menu a {
    display: block;
    padding: 10px 12px;
    text-decoration: none;
    color: inherit;
}

@media only screen and (min-width: 991px) {
    .lang-switcher {
        display: flex;
        flex-flow: row;
        align-items: center;
        justify-content: flex-end;
        gap: 16px;
    }

    .lang-switcher__menu {
        position: absolute;
        top: 100%;
        left: 0;
        width: fit-content;
        background: #fff;
        border: 1px solid #ccc;
        list-style: none;
        margin: 0;

        opacity: 0;
        visibility: hidden;
        transform: translateY(8px);
        transition: .2s ease;
    }
    .lang-switcher.open .lang-switcher__menu {
        position: absolute;
    }
}